Bug 657591 - Review Request: rubygem-isolate - Very simple RubyGems sandbox
Review Request: rubygem-isolate - Very simple RubyGems sandbox
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Marek Goldmann
Fedora Extras Quality Assurance
:
: 668821 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-11-26 12:05 EST by Mamoru TASAKA
Modified: 2011-01-11 14:54 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-12-10 11:13:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
mgoldman: fedora‑review+
tibbs: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mamoru TASAKA 2010-11-26 12:05:28 EST
Spec URL: http://mtasaka.fedorapeople.org/Review_request/rubygem-isolate/rubygem-isolate.spec
SRPM URL: http://mtasaka.fedorapeople.org/Review_request/rubygem-isolate/rubygem-isolate-3.0.0-1.fc.src.rpm
Description: 
Isolate is a very simple RubyGems sandbox. It provides a way to
express and automatically install your project's Gem dependencies.

Koji scratch build
for F-15: http://koji.fedoraproject.org/koji/taskinfo?taskID=2628287
for F-14: http://koji.fedoraproject.org/koji/taskinfo?taskID=2628289
Comment 1 Marek Goldmann 2010-11-26 15:22:19 EST
Taking this one.
Comment 2 Marek Goldmann 2010-11-26 15:56:27 EST
Spec file:

* Micro issue: BR: rubygems is not required

Package:

* When requiring 'isolate/rake' (via README):

irb(main):001:0> require 'rubygems'
=> true
irb(main):002:0> require 'isolate/rake'
NoMethodError: undefined method `namespace' for main:Object
	from /usr/lib/ruby/gems/1.8/gems/isolate-3.0.0/lib/isolate/rake.rb:1
	from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in `gem_original_require'
	from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in `require'
	from (irb):2
	from :0

I confirmed it with the 3.0.0 gem alone (uninstalled your package). If you require 'isolate/now' you still have the Rake tasks available. This is an upstream issue. Most probably README is outdated. It doesn't prevent to package it.

Otherwise - looks good!

------------------------------------------------------------
   This package (rubygem-isolate) is APPROVED by goldmann
------------------------------------------------------------
Comment 3 Mamoru TASAKA 2010-11-26 16:34:57 EST
(In reply to comment #2)
> Package:
> * When requiring 'isolate/rake' (via README):

- Well, lib/isolate/rake.rb is perhaps a "plugin" for rake,
  and actually:
--------------------------------------------------------
[tasaka1@localhost ~]$ ruby -rubygems -e 'require "isolate/rake"'
/usr/lib/ruby/gems/1.8/gems/isolate-3.0.0/lib/isolate/rake.rb:1: undefined method `namespace' for main:Object (NoMethodError)
	from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in `gem_original_require'
	from /usr/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:36:in `require'
	from -e:1
[tasaka1@localhost ~]$ ruby -rubygems -e 'require "rake" ; require "isolate/rake"'
[tasaka1@localhost ~]$ 
--------------------------------------------------------
  So maybe it is better that lib/isolate/rake.rb contains "require 'rake'"
  at the top, however I guess this is okay for now.


> Otherwise - looks good!
> 
> ------------------------------------------------------------
>    This package (rubygem-isolate) is APPROVED by goldmann
> ------------------------------------------------------------

Thank you!

New Package SCM Request
=======================
Package Name:      rubygem-isolate
Short Description: Very simple RubyGems sandbox
Owners:            mtasaka
Branches:          f13 f14
Comment 4 Jason Tibbitts 2010-11-29 12:21:13 EST
For some reason this ticket contains an invalid unicode character, which prevents it from being queried via but bugzilla xmlrpc interface, which breaks our scripts.

I've processed this manually; please double check that everything branched OK.
Comment 5 Mamoru TASAKA 2010-12-10 11:13:56 EST
Closing.

Thank you for review and git procedure.
Comment 6 Mamoru TASAKA 2011-01-11 14:54:59 EST
*** Bug 668821 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.